Gda.MetaStore – Gda-6.0 Reference Manual

# MetaStore

## Object Hierarchy:

## Description:

[ CCode ( type_id = "gda_meta_store_get_type ()" ) ]
public class MetaStore : Object
Namespace: Gda
Package: Gda-6.0

## Content:

### Properties:

- public string catalog { construct; }
- public Connection cnc { owned get; construct; }
- public string cnc_string { construct; }
- public string schema { construct; }

### Static methods:

- public static Quark error_quark ()
- public static string sql_identifier_quote (string id, Connection cnc)

### Creation methods:

- public MetaStore (string? cnc_string)
- public MetaStore.with_file (string file_name)

### Methods:

- public DataModel create_modify_data_model (string table_name)
- public MetaStruct create_struct (MetaStructFeature features)
- public bool declare_foreign_key (MetaStruct? mstruct, string fk_name, string? catalog, string? schema, string table, string? ref_catalog, string? ref_schema, string ref_table, string[] colnames, string[] ref_colnames) throws Error
- public DataModel extract (string select_sql, HashTable<string,Value?>? vars) throws Error
- public bool get_attribute_value (string att_name, out string att_value) throws Error
- public unowned Connection get_internal_connection ()
- public int get_version ()
- public bool modify_v (string table_name, DataModel? new_data, string? condition, string[] value_names, Value[] values) throws Error
- public bool modify_with_context (MetaContext context, DataModel? new_data) throws Error
- public bool schema_add_custom_object (string xml_description) throws Error
- public SList<unowned string> schema_get_all_tables ()
- public SList<unowned string> schema_get_depend_tables (string table_name)
- public MetaStruct schema_get_structure () throws Error
- public bool schema_remove_custom_object (string obj_name) throws Error
- public bool set_attribute_value (string att_name, string? att_value) throws Error
- public void set_identifiers_style (SqlIdentifierStyle style)
- public void set_reserved_keywords_func (SqlReservedKeywordsFunc? func)
- public bool undeclare_foreign_key (MetaStruct? mstruct, string fk_name, string? catalog, string? schema, string table, string? ref_catalog, string? ref_schema, string ref_table) throws Error

### Signals:

- public signal void meta_changed (SList<MetaStoreChange> changes)
- public virtual signal void meta_reset ()
- public virtual signal Error suggest_update (MetaContext suggest)

### Inherited Members:

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref